MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004595ATutorInstallationpublic2010-10-20 05:072011-08-18 13:04
Reportergreg 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0004595: MySQL TYPE replaced with ENGINE
DescriptionApparently as of MySQL 5.2 the TYPE keyword has been deprecated, replaced with ENGINE. Using TYPE breaks in the MySQL community release 5.5.*. Something to deal with in time.

http://www.atutor.ca/view/7/20978/1.html [^]
http://bugs.mysql.com/bug.php?id=17501 [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0003187closedharris Error Table AT_messages_sent creation failed 
related to 0003184closedharris Installation failed for mysql version before 4.0.18 
related to 0003261closedharris Upgrade script failed when using mysql <= 4.0.18 
related to 0004750closedcindy MySQL installation error on using "TYPE" instead of "ENGINE" 

-  Notes
(0004727)
harris (developer)
2010-10-20 07:01

0003261 suggested system fails to use 'engine' prior to mysql 4.0.18

From atutor requirement page, http://atutor.ca/atutor/docs/requirements.php, [^] the lowest requirement is 4.1.10.

Upgrading all 'type=' to 'engine='
(0004728)
harris (developer)
2010-10-20 07:04

Upgrade scripts after 1.5.6 only.
(0004729)
harris (developer)
2010-10-20 07:08

svn 10343
(0004731)
greg (administrator)
2010-10-22 05:28

still need to update the language manager and atutor.ca to generate language packs that use ENGINE instead of TYPE.
(0004866)
harris (developer)
2011-01-06 11:06

need to change the dump_lang.php on atutor.ca to ENGINE.
(0004867)
harris (developer)
2011-01-06 11:06

Updated the script on atutor.ca
(0005179)
greg (administrator)
2011-08-18 13:04

first round of 2.0.3 changes closed

- Issue History
Date Modified Username Field Change
2010-10-20 05:07 greg New Issue
2010-10-20 05:07 greg Affects version => SVN
2010-10-20 06:15 harris Relationship added related to 0003187
2010-10-20 06:15 harris Relationship added related to 0003184
2010-10-20 06:15 harris Relationship added related to 0003261
2010-10-20 07:01 harris Note Added: 0004727
2010-10-20 07:04 harris Note Added: 0004728
2010-10-20 07:08 harris Status new => resolved
2010-10-20 07:08 harris Resolution open => fixed
2010-10-20 07:08 harris Assigned To => harris
2010-10-20 07:08 harris Note Added: 0004729
2010-10-22 05:28 greg Note Added: 0004731
2010-10-22 05:28 greg Status resolved => assigned
2010-12-07 11:26 greg Status assigned => resolved
2010-12-07 11:26 greg Fixed in Version => 2.0.2
2010-12-20 10:19 greg Status resolved => closed
2011-01-06 11:06 harris Status closed => feedback
2011-01-06 11:06 harris Resolution fixed => reopened
2011-01-06 11:06 harris Note Added: 0004866
2011-01-06 11:06 harris Status feedback => resolved
2011-01-06 11:06 harris Fixed in Version 2.0.2 =>
2011-01-06 11:06 harris Resolution reopened => fixed
2011-01-06 11:06 harris Note Added: 0004867
2011-04-01 10:21 harris Relationship added related to 0004750
2011-08-18 13:04 greg Note Added: 0005179
2011-08-18 13:04 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker